package | phing.tasks.ext.phar
author | Alexey Shockov
since | 2.4.0

### Methods

## createElement()

    createElement() : \PharMetadataElement

Inherited

inherited_from | \PharMetadata::createElement()

### Returns

`\PharMetadataElement`

## getName()

    getName() : string

### Returns

`string`

## Return array of

    getValue() : string | array

### Returns

`string` `array`

## setName()

    setName(string $name)

### Parameters

#### $name

`string`

## setValue()

    setValue(string $value)

### Parameters

#### $value

`string`

## toArray()

    toArray() : string | array

### Returns

`string` `array`

### Properties

##

    $elements : array

Inherited

inherited_from | \PharMetadata::$$elements

##

    $name : string

##

    $value : string